alexdeathway

joined 2 years ago

Alright would try that.

credential inflation?

 

I have been applying via linkedin, company portal which show up on google search but somehow nothing is working out, cold dm, emails almost all eventually ending in radio silence. Not asking for some shortcut just that it all isn't making sense.

cross-posted from: https://programming.dev/post/49576261

[–] alexdeathway@programming.dev 2 points 5 days ago* (last edited 5 days ago) (1 children)

Your organisation location?

 

I have been applying via linkedin, company portal which show up on google search but somehow nothing is working out, cold dm, emails almost all eventually ending in radio silence. Not asking for some shortcut just that it all isn't making sense.

[–] alexdeathway@programming.dev 1 points 4 months ago

clever, took me a few minutes to get it.

[–] alexdeathway@programming.dev 6 points 6 months ago (2 children)

found it funny and couldn't recall any other non-serious sub, so I shared it here.

96
made me chuckle (programming.dev)
submitted 6 months ago* (last edited 6 months ago) by alexdeathway@programming.dev to c/linuxmemes@lemmy.world
 

img

Edit: My bad guys,Image wasn't visible, I uploaded the image as URL thumbnail rather than post.

[–] alexdeathway@programming.dev 46 points 6 months ago

Remind me of a time long ago when someone requested my help on setting up a project.I Tried setting up project on my system and there was malicious code that would collect and send data to the attackers, but it failed to read data because it was trying to access the C drive.

 

I have been using Linux as my daily driver for quite some time (around 5-6 years) and usually manage to get whatever needs to be done. However, I now wish to learn it in a more structured manner, which includes understanding utilities and the workings of Linux. What resources should I look out for?

 

Not much familiar wirh metrics for evaluating progression in medical fields, so asking in general sense.

 

hope this question doesn't sound too vague.

 

hope this question doesn't sound too vague.

 

Turn joplin todo note as app widget?

Don't want to open to do note everytime, any way to turn that to do note into widget which stick to android home screen?

 

I am working on this django docker project template with this certbot setup, Dockerfile

FROM certbot/certbot:v1.27.0

COPY certify-init.sh /opt/
RUN chmod +x /opt/certify-init.sh

ENTRYPOINT ["/opt/certify-init.sh"]

entrypoint

#!/bin/sh

set -e

echo "Getting certificate..."

certbot certonly \
    --webroot \
    --webroot-path "/vol/www/" \
    -d "$DOMAIN" \
    --email $EMAIL \
    --rsa-key-size 4096 \
    --agree-tos \
    --noninteractive

if [ $? -ne 0 ]; then
    echo "Certbot encountered an error. Exiting."
    exit 1
fi

#for copying the certificate and configuration to the volume
if [ -f "/etc/letsencrypt/live/${DOMAIN}/fullchain.pem" ]; then
    echo "SSL cert exists, enabling HTTPS..."
    envsubst '${DOMAIN}' < /etc/nginx/nginx.prod.conf > /etc/nginx/conf.d/default.conf
    echo "Reloading Nginx configuration..."
    nginx -s reload
else
    echo "Certbot unable to get SSL cert,server HTTP only..."
fi


echo "Setting up auto-renewal..."
apk add --no-cache dcron
echo "0 12 * * * /usr/bin/certbot renew --quiet" | crontab -
crond -b

problem with this setup is,certbot exits after initial run of getting the certificate and when it's renew time it require manual intervention.

Now There are two choices

  1. set restart: unless-stopped in docker compose file so it keeps restarting the container and with cron job to renew the certificate when required.

  2. Set cron job in host machine to restart the container.

Are there any other/more option to tackle this situation.

 

understanding a big codebase you have never worked.

view more: next ›